Page MenuHomePhabricator

Link with text beginning with a bracket not parsed correctly
Closed, ResolvedPublic

Description

From OTRS:

​On the page on Function Composition under "Properties"​ there is a link "[[interval (mathematics)#Infinite endpoints|[0,+∞)]]" which doesn't display correctly on the mobile app[.] As an example the link "[[interval (mathematics)#Infinite endpoints|0,+∞)]]" displays [normally].

Looks like a Parsoid edge case bug. I verified that the MW parser handles this as expected.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 26 2017, 8:51 PM

The bug also appears when the '[' is inside the the text but not at the end of the text, examples include "[[Foobar|te[xt]]". Ending text in a opening bracket does not cause the bug, an example would be [[Foobar|text[]].

ssastry assigned this task to cscott.May 27 2017, 5:29 AM
ssastry triaged this task as Normal priority.

Change 366487 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] T166413: Piped link with unclosed extlink-like text

https://gerrit.wikimedia.org/r/366487

Change 366487 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T166413: Piped link with unclosed extlink-like text

https://gerrit.wikimedia.org/r/366487

Arlolra closed this task as Resolved.Jul 20 2017, 5:42 PM
Arlolra claimed this task.
Arlolra added a subscriber: cscott.